|
|
|
|
|
|
|
|
|
|
xen-devel
[Xen-devel] Fix iptables failure test in vif-common.sh
In changset 19540 a bug was introduced in the fib_iptable function in
vif-common.sh that incorrectly checks the exit status of iptables -- it
always believes iptables has failed even when it hasn't.
The attached patch fixes that. It's also bug 1490.
Signed-off-by: John Haxby <john.haxby@xxxxxxxxxx>
(Inline and attachment, I don't trust this thunderbird beta)
diff -up xen-3.4.0/tools/hotplug/Linux/vif-common.sh.bug1490
xen-3.4.0/tools/hotplug/Linux/vif-common.sh
--- xen-3.4.0/tools/hotplug/Linux/vif-common.sh.bug1490 2009-08-07
12:37:35.000000000 +0100
+++ xen-3.4.0/tools/hotplug/Linux/vif-common.sh 2009-08-07 12:39:58.000000000
+0100
@@ -78,7 +78,7 @@ frob_iptable()
iptables "$c" FORWARD -m state --state RELATED,ESTABLISHED -m physdev \
--physdev-out "$vif" -j ACCEPT 2>/dev/null
- if [ "$command" == "online" ]&& [ $? ]
+ if [ "$command" == "online" -a $? -ne 0 ]
then
log err "iptables setup failed. This may affect guest networking."
fi
bug1490.patch
Description: Text Data
_______________________________________________
Xen-devel mailing list
Xen-devel@xxxxxxxxxxxxxxxxxxx
http://lists.xensource.com/xen-devel
|
<Prev in Thread] |
Current Thread |
[Next in Thread> |
- [Xen-devel] Fix iptables failure test in vif-common.sh,
John Haxby <=
|
|
|
|
|